﻿<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>netcoreapp2.1</TargetFramework>
        <DebugType>full</DebugType>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Autofac" Version="4.9.4" />
        <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="5.0.1" />
        <PackageReference Include="BuildBundlerMinifier" Version="3.1.430" />
        <PackageReference Include="MediatR" Version="7.0.0" />
        <PackageReference Include="Microsoft.AspNetCore" Version="2.1.7" />
        <PackageReference Include="Microsoft.AspNetCore.CookiePolicy" Version="2.1.2" />
        <PackageReference Include="Microsoft.AspNetCore.HttpsPolicy" Version="2.1.1" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc" Version="2.1.3" />
        <PackageReference Include="Microsoft.AspNetCore.StaticFiles" Version="2.1.1" />
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="wwwroot\css\site.css" />
      <_ContentIncludedByDefault Remove="wwwroot\css\site.min.css" />
      <_ContentIncludedByDefault Remove="wwwroot\favicon.ico" />
      <_ContentIncludedByDefault Remove="wwwroot\images\banner1.svg" />
      <_ContentIncludedByDefault Remove="wwwroot\images\banner2.svg" />
      <_ContentIncludedByDefault Remove="wwwroot\images\banner3.svg" />
      <_ContentIncludedByDefault Remove="wwwroot\js\site.js" />
      <_ContentIncludedByDefault Remove="wwwroot\js\site.min.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\.bower.json" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\css\bootstrap-theme.css" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\css\bootstrap-theme.css.map" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\css\bootstrap-theme.min.css" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\css\bootstrap-theme.min.css.map" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\css\bootstrap.css" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\css\bootstrap.css.map" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\css\bootstrap.min.css" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\css\bootstrap.min.css.map" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\fonts\glyphicons-halflings-regular.eot" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\fonts\glyphicons-halflings-regular.svg" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\fonts\glyphicons-halflings-regular.ttf" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\fonts\glyphicons-halflings-regular.woff" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\fonts\glyphicons-halflings-regular.woff2" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\js\bootstrap.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\js\bootstrap.min.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\dist\js\npm.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\bootstrap\LICENSE" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation-unobtrusive\.bower.json" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation-unobtrusive\jquery.validate.unobtrusive.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation-unobtrusive\jquery.validate.unobtrusive.min.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation-unobtrusive\LICENSE.txt" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation\.bower.json" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation\dist\additional-methods.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation\dist\additional-methods.min.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation\dist\jquery.validate.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation\dist\jquery.validate.min.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery-validation\LICENSE.md" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery\.bower.json" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery\dist\jquery.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery\dist\jquery.min.js" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery\dist\jquery.min.map" />
      <_ContentIncludedByDefault Remove="wwwroot\lib\jquery\LICENSE.txt" />
      <_ContentIncludedByDefault Remove="Scripts\adminlte\plugins\input-mask\phone-codes\phone-be.json" />
      <_ContentIncludedByDefault Remove="Scripts\adminlte\plugins\input-mask\phone-codes\phone-codes.json" />
      <_ContentIncludedByDefault Remove="wwwroot\css\animation.css" />
      <_ContentIncludedByDefault Remove="wwwroot\css\error.css" />
      <_ContentIncludedByDefault Remove="wwwroot\css\login.css" />
      <_ContentIncludedByDefault Remove="wwwroot\files\HelpDefaultTemplate.html" />
      <_ContentIncludedByDefault Remove="wwwroot\files\Home\Index.html" />
      <_ContentIncludedByDefault Remove="wwwroot\files\SalesOrderDetail.txt" />
      <_ContentIncludedByDefault Remove="wwwroot\images\banner4.svg" />
      <_ContentIncludedByDefault Remove="wwwroot\images\smarthr-sm.png" />
      <_ContentIncludedByDefault Remove="wwwroot\images\smarthr-xs.png" />
      <_ContentIncludedByDefault Remove="wwwroot\images\smarthr.png" />
      <_ContentIncludedByDefault Remove="wwwroot\images\user.png" />
      <_ContentIncludedByDefault Remove="wwwroot\_references.js" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\RubberBriquettesTrackerReporter.DAL\RubberBriquettesTrackerReporter.DAL.csproj" />
      <ProjectReference Include="..\RubberBriquettesTrackerReporter.Resources\RubberBriquettesTrackerReporter.Resources.csproj" />
    </ItemGroup>

</Project>
